> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Add/Update Individual Information

> Add or update the KYC information for a customer.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/kyc/customers/{subaccountId}
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/kyc/customers/{subaccountId}:
    patch:
      tags:
        - Verification
      summary: Add/Update Individual Information
      description: Add or update the KYC information for a customer.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
            format: uuid
          required: true
          description: The unique identifier of the subaccount
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                middle_name:
                  type: string
                  nullable: true
                last_name:
                  type: string
                phone:
                  type: string
                  description: >-
                    Phone number of the customer. Must be in E.164 format (e.g.,
                    +2348012345678)
                address:
                  type: object
                  properties:
                    street_line_1:
                      type: string
                    street_line_2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                      description: >-
                        two-letter ISO 3166-2 code for the state/province (e.g.,
                        "LA" for Lagos, Nigeria) See [ISO
                        3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
                    postal_code:
                      type: string
                    country:
                      type: string
                      description: >-
                        three-letter ISO 3166-1 code for the country (e.g.,
                        "NGA" for Nigeria). See [ISO
                        3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
                birth_date:
                  type: string
                  format: date
                  description: Must be formatted as YYYY-MM-DD
                gender:
                  type: string
                nationality:
                  type: string
                  description: >-
                    three-letter ISO 3166-1 code for the country (e.g., "NGA"
                    for Nigeria). See [ISO
                    3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
                birth_country:
                  type: string
                  description: >-
                    two-letter ISO 3166-1 alpha-2 code for the country (e.g.,
                    "DE").
                account_purpose:
                  type: string
                  enum:
                    - CHARITABLE_DONATIONS
                    - ECOMMERCE_RETAIL_PAYMENTS
                    - INVESTMENT_PURPOSES
                    - OPERATING_A_COMPANY
                    - OTHER
                    - PAYMENTS_TO_FRIENDS_OR_FAMILY_ABROAD
                    - PERSONAL_OR_LIVING_EXPENSES
                    - PROTECT_WEALTH
                    - PURCHASE_GOODS_AND_SERVICES
                    - RECEIVE_PAYMENT_FOR_FREELANCING
                    - RECEIVE_SALARY
                account_purpose_other:
                  type: string
                  nullable: true
                employment_status:
                  type: string
                  enum:
                    - EMPLOYED
                    - HOMEMAKER
                    - RETIRED
                    - SELF_EMPLOYED
                    - STUDENT
                    - UNEMPLOYED
                expected_monthly_payments_usd:
                  type: string
                  enum:
                    - UP_TO_4999
                    - FROM_5000_TO_9999
                    - FROM_10000_TO_49999
                    - FROM_50000
                expected_monthly_volume_usd:
                  type: string
                acting_as_intermediary:
                  type: boolean
                most_recent_occupation:
                  type: string
                  description: >-
                    Fetch from occupation endpoint:
                    [/api-reference/verification/get-occupations](/api-reference/verification/get-occupations)
                source_of_funds:
                  type: string
                  enum:
                    - company_funds
                    - ecommerce_reseller
                    - gambling_proceeds
                    - gifts
                    - government_benefits
                    - inheritance
                    - investments_loans
                    - pension_retirement
                    - salary
                    - sale_of_assets_real_estate
                    - savings
                    - someone_elses_funds
                source_of_funds_description:
                  type: string
                identifying_information:
                  type: array
                  description: >-
                    Array of identification documents. See [Accepted ID
                    Documents by Country](/en/use-cases/individual-id-numbers)
                    for country-specific requirements.
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - matriculate_id
                          - military_id
                          - national_id
                          - passport
                          - permanent_residency_id
                          - state_or_provincial_id
                          - visa
                      issuing_country:
                        type: string
                        description: >-
                          ISO alpha 3 country codes. See [ISO Alpha
                          3](https://www.iban.com/country-codes)
                      number:
                        type: string
                      image_front:
                        type: string
                        format: uri
                        description: >-
                          Supported document formats are jpeg, jpg, png, heic,
                          heif, pdf
                      image_back:
                        type: string
                        format: uri
                        description: >-
                          Supported document formats are jpeg, jpg, png, heic,
                          heif, pdf
            example:
              first_name: Sarah
              middle_name: Jane
              last_name: Smith
              phone: '+447911123456'
              birth_date: '1985-06-22'
              gender: f
              nationality: GBR
              birth_country: GB
              address:
                street_line_1: 10 Downing Street
                street_line_2: ''
                city: London
                state: LND
                postal_code: SW1A 2AA
                country: GBR
              account_purpose: personal_or_living_expenses
              employment_status: employed
              expected_monthly_payments_usd: FROM_10000_TO_49999
              expected_monthly_volume_usd: '25000'
              acting_as_intermediary: false
              most_recent_occupation: SOFTWARE_DEVELOPER
              source_of_funds: salary
              source_of_funds_description: Software engineering salary from ABC Corporation
              identifying_information:
                - type: passport
                  issuing_country: GBR
                  number: '532145678'
                  image_front: >-
                    https://res.cloudinary.com/bullring-finance/image/upload/v1774565389/Gfsjlkjadfeuwk7rz.jpg
                  image_back: >-
                    https://res.cloudinary.com/bullring-finance/image/upload/v1774565389/Gfsjlkjadfeuwk7rz.jpg
                - type: tin
                  issuing_country: GBR
                  number: AB123456C
              documents:
                - purpose: PROOF_OF_ADDRESS
                  file: >-
                    https://res.cloudinary.com/bullring-finance/image/upload/v1774567136/doc_a3057dd552b214274ef834dfsjkfskjs.jpg
      responses:
        '200':
          description: Customer information updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  type:
                    type: string
                  first_name:
                    type: string
                  middle_name:
                    type: string
                    nullable: true
                  last_name:
                    type: string
                  phone:
                    type: string
                  address:
                    type: object
                    properties:
                      street_line_1:
                        type: string
                      street_line_2:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                        description: >-
                          two-letter ISO 3166-2 code for the state/province
                          (e.g., "LA" for Lagos, Nigeria) See [ISO
                          3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
                      postal_code:
                        type: string
                      country:
                        type: string
                        description: >-
                          three-letter ISO 3166-1 code for the country (e.g.,
                          "NGA" for Nigeria). See [ISO
                          3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
                  birth_date:
                    type: string
                    format: date-time
                  gender:
                    type: string
                  nationality:
                    type: string
                  birth_country:
                    type: string
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        purpose:
                          type: string
                          enum:
                            - PROOF_OF_ACCOUNT_PURPOSE
                            - PROOF_OF_ADDRESS
                            - PROOF_OF_SOURCE_OF_FUNDS
                          description: Proof of address is required
                        file:
                          type: string
                          format: uri
                          description: >-
                            Supported document formats are jpeg, jpg, png, heic,
                            heif, pdf
                  account_purpose:
                    type: string
                  account_purpose_other:
                    type: string
                    nullable: true
                  employment_status:
                    type: string
                  expected_monthly_payments_usd:
                    type: string
                  expected_monthly_volume_usd:
                    type: string
                  acting_as_intermediary:
                    type: boolean
                  most_recent_occupation:
                    type: string
                    description: >-
                      Fetch from occupation endpoint:
                      [/api-reference/verification/get-occupations](/api-reference/verification/get-occupations)
                  source_of_funds:
                    type: string
                    enum:
                      - company_funds
                      - ecommerce_reseller
                      - gambling_proceeds
                      - gifts
                      - government_benefits
                      - inheritance
                      - investments_loans
                      - pension_retirement
                      - salary
                      - sale_of_assets_real_estate
                      - savings
                      - someone_elses_funds
                  source_of_funds_description:
                    type: string
                  identifying_information:
                    type: array
                    description: >-
                      Array of identification documents. See [Accepted ID
                      Documents by Country](/en/use-cases/individual-id-numbers)
                      for country-specific requirements.
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - matriculate_id
                            - military_id
                            - national_id
                            - passport
                            - permanent_residency_id
                            - state_or_provincial_id
                            - visa
                        issuing_country:
                          type: string
                          description: >-
                            three-letter ISO 3166-1 code for the country (e.g.,
                            "NGA" for Nigeria). See [ISO
                            3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
                        number:
                          type: string
                        image_front:
                          type: string
                          format: uri
                          description: >-
                            Supported document formats are jpeg, jpg, png, heic,
                            heif, pdf
                        image_back:
                          type: string
                          format: uri
                          description: >-
                            Supported document formats are jpeg, jpg, png, heic,
                            heif, pdf
              example:
                status: not_started
                created_at: '2025-11-21T15:32:51.901Z'
                updated_at: '2025-12-31T10:17:21.319Z'
                type: individual
                first_name: Sarah
                middle_name: Jane
                last_name: Smith
                phone: '+447911123456'
                birth_date: '1985-06-22T00:00:00.000Z'
                gender: f
                nationality: GBR
                birth_country: GB
                address:
                  street_line_1: 10 Downing Street
                  street_line_2: ''
                  city: London
                  state: LND
                  postal_code: SW1A 2AA
                  country: GBR
                documents:
                  - purpose: PROOF_OF_ADDRESS
                    file: >-
                      https://res.cloudinary.com/bullring-finance/image/upload/v1774567136/doc_a3057dd552b214274ef834dfsjkfskjs.jpg
                account_purpose: personal_or_living_expenses
                account_purpose_other: null
                employment_status: employed
                expected_monthly_payments_usd: FROM_10000_TO_49999
                expected_monthly_volume_usd: '25000'
                acting_as_intermediary: false
                most_recent_occupation: SOFTWARE_DEVELOPER
                source_of_funds: salary
                source_of_funds_description: Software engineering salary from ABC Corporation
                identifying_information:
                  - type: passport
                    issuing_country: GBR
                    number: '532145678'
                    image_front: >-
                      https://res.cloudinary.com/bullring-finance/image/upload/v1774565389/Gfsjlkjadfeuwk7rz.jpg
                    image_back: >-
                      https://res.cloudinary.com/bullring-finance/image/upload/v1774565389/Gfsjlkjadfeuwk7rz.jpg
                  - type: tin
                    issuing_country: GBR
                    number: AB123456C
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````